petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatGetNearNullSpace

et null space attached with MatSetNearNullSpace()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetNearNullSpace(Mat mat,MatNullSpace *nullsp)

Not Collective

### Input Parameters

mat -the matrix

### Output Parameters

nullsp -the null space object, NULL if not set

### See Also

MatSetNearNullSpace(), MatGetNullSpace(), MatNullSpaceCreate()

### Level

developer

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages